*norm3b - dc, feb 9 - 2016;

options ls=120 nocenter nofmterr;
libname here '.';


 /*
proc summary;
class educ birthyr year;
var y pe1 pe5 fe1 fe5 xb1 xb5 r1 r5;
output out=here.byeduc_birthyr2
mean=;

  */



data cohorts;
set here.byeduc_birthyr3;
if birthyr in (1950, 1960, 1970, 1977, 1980);
if educ ne .;
if year ne .;

person1=pe1+xb1;
person4=pe4+xb4;
age=year-birthyr;

proc sort;
by birthyr educ year;


data here.cohorts2;
set cohorts;
keep birthyr educ age year _freq_ person1 pe1 xb1 person4 pe4 xb4 fe1 fe4;

proc print;
var birthyr educ age year _freq_ person1 pe1 xb1 person4 pe4 xb4 fe1 fe4;




